import React from 'react';

declare type CallbackFunctionVariadic = (...args: any[]) => void;
declare type State = {
    /**
     * unique identifier of the button element currently selected
     */
    selectedId?: string;
    /**
     * button element's attribute used to identify the element uniquely. The default value is 'name'
     */
    attributeId?: string;
};
declare type ClickHandler = (callback: CallbackFunctionVariadic) => React.ReactEventHandler<HTMLElement>;
declare type UseToggleButtonGroupState = (initialState?: State) => {
    handleSelect: ClickHandler;
    currentSelectedId: State["selectedId"];
    reset: () => void;
};
declare const useToggleButtonGroupState: UseToggleButtonGroupState;

export { useToggleButtonGroupState };
